eucalyptus upstart stop doesn't kill dhcp3 server

Bug #446056 reported by Mathias Gug on 2009-10-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
eucalyptus (Ubuntu)
Low
Matt Zimmerman

Bug Description

When eucalyptus is stop, dhcp3 is left running behind:

ubuntu@uec-cc:~$ sudo stop eucalyptus
[sudo] password for ubuntu:
eucalyptus stop/waiting
ubuntu@uec-cc:~$ ps -ef | grep dhcp
root 1647 1 0 01:12 ? 00:00:00 dhclient3 -e IF_METRIC=100 -pf /var/run/dhclient.eth0.pid -lf /var/lib/dhcp3/dhclient.eth0.leases eth0
dhcpd 12473 1 0 01:55 ? 00:00:00 /usr/sbin/dhcpd3 -cf //var/run/eucalyptus/net/euca-dhcp.conf -lf //var/run/eucalyptus/net/euca-dhcp.leases -pf //var/run/eucalyptus/net/euca-dhcp.pid -tf //var/run/eucalyptus/net/euca-dhcp.trace eth0
ubuntu 17299 2391 0 02:12 pts/0 00:00:00 grep --color=auto dhcp
ubuntu@uec-cc:~$

Thierry Carrez (ttx) wrote :

Confirmed. Note that eucalyptus seems to reuse the existing one so they don't pile up...

Changed in eucalyptus (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
Matt Zimmerman (mdz) on 2009-10-10
Changed in eucalyptus (Ubuntu):
status: Confirmed → Triaged
Matt Zimmerman (mdz) wrote :

------------------------------------------------------------
revno: 669
committer: Matt Zimmerman <email address hidden>
branch nick: ubuntu
timestamp: Sat 2009-10-10 14:41:48 +0100
message:
  Kill the Eucalyptus DHCP server in eucalyptus-cc.upstart:stop
  (LP: #446056)
------------------------------------------------------------

Changed in eucalyptus (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Matt Zimmerman (mdz)
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eucalyptus - 1.6~bzr919-0ubuntu3

---------------
eucalyptus (1.6~bzr919-0ubuntu3) karmic; urgency=low

  [ Matt Zimmerman ]
  * Kill the Eucalyptus DHCP server in eucalyptus-cc.upstart:stop
    (LP: #446056)

  [ Thierry Carrez ]
  * Add missing gnumail-providers.jar and inetlib.jar links to
    /usr/share/eucalyptus to enable email sending (LP: #449530)
  * Cherrypick upstream rev920, fixing Walrus timeouts (LP: #439410)

 -- Thierry Carrez <email address hidden> Mon, 12 Oct 2009 17:37:39 +0200

Changed in eucalyptus (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers